Name: xjdic
Summary: An electronic Japanese <--> English dictionary
Version: 2.3
Release: 1
Copyright: GPL
Group: Extensions/Japanese
Source: ftp://ftp.cc.monash.edu.au/pub/nihongo/xjdic23.tgz
Patch: xjdic-2.3-1.rpm.patch
URL: http://ftp.cc.monash.edu.au/pub/nihongo/index.html
Buildroot: /tmp/xjdic-root

%description 
XJDIC is an  electronic  Japanese-English  dictionary  program  designed  to 
operate  in  the  X11 window environment.  In particular,  it must run in an 
"xterm" environment which has Japanese language support such as provided  by 
"kterm" or internationalized xterm, aixterm, etc. 

XJDIC functions as: 

(a) an English to  Japanese  dictionary  (eiwa  jiten),  searching  for  and 
displaying entries for key-words entered in English; 

(b)  a  Japanese  to  English  dictionary  (waei  jiten),  searching for and 
displaying entries for keywords  or  phrases  entered  in  Japanese  (kanji, 
hiragana or katakana); 

(c)  a  Japanese-English  Character  dictionary  (kanei  jiten),  capable of 
selecting kanji characters by JIS code, radical, stroke count,  Nelson Index 
number or reading, and displaying compounds containing that kanji. 

Dictionary files (like EDICT and KANJIDIC) are required. They are not
included in this package. Instead, you need to download them separately
from ftp://ftp.cc.monash.edu.au/pub/nihongo/

%changelog

* Tue Oct 27 1998 Anthony Wong <ypwong@alumni.cse.cuhk.edu.hk>

- Upgraded to version 2.3

%prep
%setup -c -n xjdic-2.3

%patch -p1

%build
make all
gcc -O2 xjdrad.c -o xjdrad

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -s exjdxgen xjdic_cl xjdic_sa xjdserver xjdxgen xjdrad $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install xjdic.1 $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/share/xjdic
install kanjstroke radicals.tm radkfile romkana.cnv vconj $RPM_BUILD_ROOT/usr/share/xjdic

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%dir /usr/share/xjdic

/usr/share/xjdic/kanjstroke
/usr/share/xjdic/radicals.tm
/usr/share/xjdic/radkfile
/usr/share/xjdic/romkana.cnv
/usr/share/xjdic/vconj

/usr/man/man1/xjdic.1

%doc gnu_licence xjdic23.inf xjdic22.WHATSNEW xjdic23.WHATSNEW xjdic23.install
%doc .xjdicrc.skel

%defattr(755, root, root)
/usr/bin/exjdxgen
/usr/bin/xjdic_cl
/usr/bin/xjdic_sa
/usr/bin/xjdserver
/usr/bin/xjdxgen
/usr/bin/xjdrad
